Bug 159747 - New port: sysutlis/wiimms : Wii and GameCube ISO Tools
Summary: New port: sysutlis/wiimms : Wii and GameCube ISO Tools
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ganael LAPLANCHE
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-13 20:50 UTC by olivier
Modified: 2011-10-24 08:40 UTC (History)
0 users

See Also:


Attachments
wiimms.shar (5.03 KB, text/plain)
2011-08-13 20:50 UTC, olivier
no flags Details
wiimms.shar.txt (4.89 KB, text/plain)
2011-10-06 07:45 UTC, Ganael LAPLANCHE
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description olivier 2011-08-13 20:50:06 UTC
	Hi,
here is a new port: wiimms: It's a collection of tools for manipulating/converting Wii/GameCube ISO files.
Important Note: The official source code is on a public SVN only (no source archive file available), then I've create an archive file and upload-it to my own server.
I would prefer to upload this source archive file to a more "official" FTP server: Do you know where can I upload it ?
Comment 1 Chris Rees freebsd_committer 2011-08-13 21:00:36 UTC
What exactly is this useful for?

Chris
Comment 2 olivier 2011-08-13 21:32:09 UTC
On Sat, Aug 13, 2011 at 10:00 PM, Chris Rees <crees@freebsd.org> wrote:
> What exactly is this useful for?
>
Hi Chris,

It's a set of 3 tools (wit, wwt, wdf) that permit to manipulation
Nintendo Wii ISO files and WBFS partitions, as example:
To convert Nintendo Wii ISO file (fixed size at 4Gb) to other format
like WBFS file (real data game size).

More information on the offficial web site: http://wit.wiimm.de/

It's a set of tools only usefull for Nintendo Wii owner.
And these tools are the backend for other graphical software like "Wii
Backup Fusion" or "qtwitgui".

Regards,

Olivier
Comment 3 chris 2011-09-07 18:57:08 UTC
Beg pardon, forgot about this PR. Sorry about the reply earlier-- 
another committer has indicated he might be interested in this-- I'll 
grab it in a day or two if he doesn't.

Chris

-- 
This message has been scanned for viruses and
dangerous content by MailScanner, and is
believed to be clean.
Comment 4 olivier 2011-09-30 20:40:41 UTC
Hi,

did you have any time for working on this PR ?

Regards,

Olivier
Comment 5 Ganael LAPLANCHE freebsd_committer 2011-10-03 16:03:29 UTC
Responsible Changed
From-To: freebsd-ports-bugs->martymac

I will take care of it.
Comment 6 Ganael LAPLANCHE freebsd_committer 2011-10-06 07:45:02 UTC
Hi Olivier,

Thanks for your contribution.

I have slightly modified your original patch :

- Added a LOCAL mirror for your distfile
- Removed the actual ./setup.sh call from pre-configure
  to move it to the (more appropriate) do-configure target
- Used ${LOCALBASE} for bash calls (and removed env)
- Renamed patch-load-titles.sh to patch-setup-load-titles.sh
- Removed useless shebang patch from this file
  (will be patched through the post-patch target)
- + Several minor fixes (space/tabs conversions, added @ before calls)

Would you agree with those changes ?

Also, do you know if there are any legal restrictions regarding the
diffusion/use of those tools ? They might be forbidden in some
countries. As you know, we really want to be clean with that, so in case
of any doubt, I would suggest adding a NO_CDROM directive to the port,
explaining why it is restricted. This will prevent the software from
being embedded in CDROM releases (see multimedia/libdvdcss for a use
case), but will leave it installable through the ports tree.

Best regards,

--
Ganael LAPLANCHE <ganael.laplanche@martymac.org>
http://www.martymac.org | http://contribs.martymac.org
FreeBSD: martymac <martymac@FreeBSD.org>, http://www.FreeBSD.org
Comment 7 olivier 2011-10-06 14:55:17 UTC
On Thu, Oct 6, 2011 at 8:45 AM, Ganael LAPLANCHE <martymac@freebsd.org>wrote:

> Hi Olivier,
>
>
Hi Ganael,


>
> Would you agree with those changes ?
>

Yes


>
> Also, do you know if there are any legal restrictions regarding the
> diffusion/use of those tools ? They might be forbidden in some
> countries. As you know, we really want to be clean with that, so in case
> of any doubt, I would suggest adding a NO_CDROM directive to the port,
> explaining why it is restricted. This will prevent the software from
> being embedded in CDROM releases (see multimedia/libdvdcss for a use
> case), but will leave it installable through the ports tree.
>

I'm not sure about the legal issue.
I've contacted the author of this software for getting more information
about this.

Regards,

Olivier
Comment 8 ganael.laplanche 2011-10-11 14:35:24 UTC
On Thu, 6 Oct 2011 15:55:17 +0200, Olivier Cochard-Labbé wrote

> I'm not sure about the legal issue.
> I've contacted the author of this software for getting more information
> about this.

Well, so, let's wait for an answer before committing the port.

Best regards,

--
Ganael LAPLANCHE <ganael.laplanche@martymac.org>
http://www.martymac.org | http://contribs.martymac.org
FreeBSD: martymac <martymac@FreeBSD.org>, http://www.FreeBSD.org
Comment 9 olivier 2011-10-21 09:37:34 UTC
2011/10/11 Ganael LAPLANCHE <ganael.laplanche@martymac.org>:
>
> Well, so, let's wait for an answer before committing the port.
>

I've got the answer from the author: He is not aware of legal issue
regarding its tools (he never receive complains as example).

Regards,

Olivier
Comment 10 dfilter freebsd_committer 2011-10-24 08:31:38 UTC
martymac    2011-10-24 07:31:23 UTC

  FreeBSD ports repository

  Modified files:
    sysutils             Makefile 
  Added files:
    sysutils/wiimms      Makefile distinfo pkg-descr pkg-plist 
    sysutils/wiimms/files patch-setup-load-titles.sh 
                          patch-setup.sh 
  Log:
  Add Wiimms, a set of command line tools to manipulate Wii and GameCube
  ISO images and WBFS containers.
  
  WWW: http://wit.wiimm.de
  
  PR:             ports/159747
  Submitted by:   Olivier Cochard-Labbe <olivier@cochard.me>
  
  Revision  Changes    Path
  1.1335    +1 -0      ports/sysutils/Makefile
  1.1       +50 -0     ports/sysutils/wiimms/Makefile (new)
  1.1       +2 -0      ports/sysutils/wiimms/distinfo (new)
  1.1       +20 -0     ports/sysutils/wiimms/files/patch-setup-load-titles.sh (new)
  1.1       +31 -0     ports/sysutils/wiimms/files/patch-setup.sh (new)
  1.1       +4 -0      ports/sysutils/wiimms/pkg-descr (new)
  1.1       +20 -0     ports/sysutils/wiimms/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 11 Ganael LAPLANCHE freebsd_committer 2011-10-24 08:34:53 UTC
On Fri, 21 Oct 2011 08:40:10 GMT, Olivier Cochard-Labbé wrote

> I've got the answer from the author: He is not aware of legal 
> issue regarding its tools (he never receive complains as 
> example).

Well, I've just added the port to the tree.

Thanks again for your contribution !

--
Ganael LAPLANCHE <ganael.laplanche@martymac.org>
http://www.martymac.org | http://contribs.martymac.org
FreeBSD: martymac <martymac@FreeBSD.org>, http://www.FreeBSD.org
Comment 12 Ganael LAPLANCHE freebsd_committer 2011-10-24 08:35:32 UTC
State Changed
From-To: open->closed

New port committed with minor changes, thanks !